JUCE: AudioDataConverters Class Reference

JUCE

Public Types | Static Public Member Functions | List of all members
AudioDataConverters Class Reference

A set of routines to convert buffers of 32-bit floating point data to and from various integer formats. More...

## Public Types
enum | DataFormat { int16LE, int16BE, int24LE, int24BE, int32LE, int32BE, float32LE, float32BE }

## Static Public Member Functions
static void | convertFloatToInt16LE (const float *source, void *dest, int numSamples, int destBytesPerSample=2)
static void | convertFloatToInt16BE (const float *source, void *dest, int numSamples, int destBytesPerSample=2)
static void | convertFloatToInt24LE (const float *source, void *dest, int numSamples, int destBytesPerSample=3)
static void | convertFloatToInt24BE (const float *source, void *dest, int numSamples, int destBytesPerSample=3)
static void | convertFloatToInt32LE (const float *source, void *dest, int numSamples, int destBytesPerSample=4)
static void | convertFloatToInt32BE (const float *source, void *dest, int numSamples, int destBytesPerSample=4)
static void | convertFloatToFloat32LE (const float *source, void *dest, int numSamples, int destBytesPerSample=4)
static void | convertFloatToFloat32BE (const float *source, void *dest, int numSamples, int destBytesPerSample=4)
static void | convertInt16LEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=2)
static void | convertInt16BEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=2)
static void | convertInt24LEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=3)
static void | convertInt24BEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=3)
static void | convertInt32LEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=4)
static void | convertInt32BEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=4)
static void | convertFloat32LEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=4)
static void | convertFloat32BEToFloat (const void *source, float *dest, int numSamples, int srcBytesPerSample=4)
static void | convertFloatToFormat (DataFormat destFormat, const float *source, void *dest, int numSamples)
static void | convertFormatToFloat (DataFormat sourceFormat, const void *source, float *dest, int numSamples)
static void | interleaveSamples (const float **source, float *dest, int numSamples, int numChannels)
static void | deinterleaveSamples (const float *source, float **dest, int numSamples, int numChannels)

## Detailed Description

A set of routines to convert buffers of 32-bit floating point data to and from various integer formats.

Note that these functions are deprecated - the AudioData class provides a much more flexible set of conversion classes now.

## Member Enumeration Documentation

## ◆ DataFormat

enum AudioDataConverters::DataFormat

Enumerator
int16LE |
int16BE |
int24LE |
int24BE |
int32LE |
int32BE |
float32LE |
float32BE |

## Member Function Documentation

## ◆ convertFloatToInt16LE()

static void AudioDataConverters::convertFloatToInt16LE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `2`
| ) |  |
| static

## ◆ convertFloatToInt16BE()

static void AudioDataConverters::convertFloatToInt16BE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `2`
| ) |  |
| static

## ◆ convertFloatToInt24LE()

static void AudioDataConverters::convertFloatToInt24LE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `3`
| ) |  |
| static

## ◆ convertFloatToInt24BE()

static void AudioDataConverters::convertFloatToInt24BE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `3`
| ) |  |
| static

## ◆ convertFloatToInt32LE()

static void AudioDataConverters::convertFloatToInt32LE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `4`
| ) |  |
| static

## ◆ convertFloatToInt32BE()

static void AudioDataConverters::convertFloatToInt32BE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `4`
| ) |  |
| static

## ◆ convertFloatToFloat32LE()

static void AudioDataConverters::convertFloatToFloat32LE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `4`
| ) |  |
| static

## ◆ convertFloatToFloat32BE()

static void AudioDataConverters::convertFloatToFloat32BE | ( | const float * | source,
|  | void * | dest,
|  | int | numSamples,
|  | int | destBytesPerSample = `4`
| ) |  |
| static

## ◆ convertInt16LEToFloat()

static void AudioDataConverters::convertInt16LEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `2`
| ) |  |
| static

## ◆ convertInt16BEToFloat()

static void AudioDataConverters::convertInt16BEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `2`
| ) |  |
| static

## ◆ convertInt24LEToFloat()

static void AudioDataConverters::convertInt24LEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `3`
| ) |  |
| static

## ◆ convertInt24BEToFloat()

static void AudioDataConverters::convertInt24BEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `3`
| ) |  |
| static

## ◆ convertInt32LEToFloat()

static void AudioDataConverters::convertInt32LEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `4`
| ) |  |
| static

## ◆ convertInt32BEToFloat()

static void AudioDataConverters::convertInt32BEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `4`
| ) |  |
| static

## ◆ convertFloat32LEToFloat()

static void AudioDataConverters::convertFloat32LEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `4`
| ) |  |
| static

## ◆ convertFloat32BEToFloat()

static void AudioDataConverters::convertFloat32BEToFloat | ( | const void * | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | srcBytesPerSample = `4`
| ) |  |
| static

## ◆ convertFloatToFormat()

static void AudioDataConverters::convertFloatToFormat | ( | DataFormat | destFormat,
|  | const float * | source,
|  | void * | dest,
|  | int | numSamples
| ) |  |
| static

## ◆ convertFormatToFloat()

static void AudioDataConverters::convertFormatToFloat | ( | DataFormat | sourceFormat,
|  | const void * | source,
|  | float * | dest,
|  | int | numSamples
| ) |  |
| static

## ◆ interleaveSamples()

static void AudioDataConverters::interleaveSamples | ( | const float ** | source,
|  | float * | dest,
|  | int | numSamples,
|  | int | numChannels
| ) |  |
| static

## ◆ deinterleaveSamples()

static void AudioDataConverters::deinterleaveSamples | ( | const float * | source,
|  | float ** | dest,
|  | int | numSamples,
|  | int | numChannels
| ) |  |
| static

The documentation for this class was generated from the following file:

- juce_AudioDataConverters.h